org.apache.ignite.configuration

## Enum WALMode

- java.lang.Object
- - java.lang.Enum<WALMode>
  - - org.apache.ignite.configuration.WALMode

All Implemented Interfaces:
  Serializable, Comparable<WALMode>

    public enum WALMode
    extends Enum<WALMode>

WAL Mode. This enum defines crash recovery guarantees when Ignite persistence is enabled.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BACKGROUND` Background mode.
`DEFAULT` Default mode: full-sync disk writes.
`LOG_ONLY` Log only mode: flushes application buffers.
`NONE` WAL disabled.

### Method Summary

Methods
`static WALMode` `fromOrdinal(int ord)` Efficiently gets enumerated value from its ordinal.
`static WALMode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static WALMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DEFAULT

    public static final WALMode DEFAULT

Default mode: full-sync disk writes. These writes survive power loss scenarios.

#### LOG_ONLY

    public static final WALMode LOG_ONLY

Log only mode: flushes application buffers. These writes survive process crash.

#### BACKGROUND

    public static final WALMode BACKGROUND

Background mode. Does not force application buffer flush. Data may be lost in case of process crash.

#### NONE

    public static final WALMode NONE

WAL disabled.

### Method Detail

#### values

    public static WALMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (WALMode c : WALMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static WALMode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromOrdinal

    @Nullable
    public static WALMode fromOrdinal(int ord)

Efficiently gets enumerated value from its ordinal.

Parameters:
  `ord` - Ordinal value.
Returns:
  Enumerated value or `null` if ordinal out of range.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017